FilenameRegexFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.file.filters.FilenameRegexFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.file.filters
Class FilenameRegexFilter

    java.lang.Object
      org.mule.routing.filters.WildcardFilter
          org.mule.transport.file.filters.FilenameWildcardFilter
              org.mule.transport.file.filters.FilenameRegexFilter

All Implemented Interfaces:
  FilenameFilter, Filter, ObjectFilter

    public class FilenameRegexFilter

extends FilenameWildcardFilter

`FilenameRegexFilter` filters incoming files from a directory, based on a regular expression. If the expression evaluates to true, then the file will be accepted.

Field Summary
`protected Pattern[]` | `compiledPatterns`

Fields inherited from class org.mule.routing.filters.WildcardFilter
`logger, pattern, patterns`

Constructor Summary
`FilenameRegexFilter()`

Method Summary
`boolean` | `accept(Object object)` Filter condition decider method.
`void` | `setCaseSensitive(boolean caseSensitive)`
`void` | `setPattern(String pattern)`

Methods inherited from class org.mule.transport.file.filters.FilenameWildcardFilter
`accept, accept`

Methods inherited from class org.mule.routing.filters.WildcardFilter
`equals, getPattern, hashCode, isCaseSensitive`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### compiledPatterns

    protected volatile Pattern[] compiledPatterns

Constructor Detail

### FilenameRegexFilter

    public FilenameRegexFilter()

Method Detail

### accept

    public boolean accept(Object object)

  Filter condition decider method.

  Returns `boolean` `TRUE` if the file conforms to the regular expression pattern or `FALSE` otherwise.

  Specified by:
    `accept` in interface `ObjectFilter`
  Overrides:
    `accept` in class `WildcardFilter`
  Parameters:
    `name` - The name of the file to apply the filter to.
  Returns:
    indication of acceptance as boolean.

### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

  Overrides:
    `setCaseSensitive` in class `WildcardFilter`

### setPattern

    public void setPattern(String pattern)

  Overrides:
    `setPattern` in class `WildcardFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.